package com.link.core.util.asserts;

import com.link.core.basic.service.BasicServiceException;
import com.link.core.util.StringUtils;
import java.util.Collection;
import java.util.Map;
import java.util.Objects;
import org.springframework.lang.Nullable;
import org.springframework.util.CollectionUtils;

public class AssertsUtis {
   public static void isBlank(String str, String message) throws BasicServiceException {
      if (StringUtils.isBlank(str)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNotBlank(String str, String message) throws BasicServiceException {
      if (StringUtils.isNotBlank(str)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNull(Object obj, String message) throws BasicServiceException {
      if (Objects.isNull(obj)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNotNull(Object obj, String message) throws BasicServiceException {
      if (Objects.nonNull(obj)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isArrayBlank(String[] strs, String message) throws BasicServiceException {
      if (Objects.isNull(strs)) {
         throw new BasicServiceException(message);
      } else {
         Boolean allBlank = true;
         String[] var3 = strs;
         int var4 = strs.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String s = var3[var5];
            if (StringUtils.isNotBlank(s)) {
               allBlank = false;
            }
         }

         if (allBlank) {
            throw new BasicServiceException(message);
         }
      }
   }

   public static void isArrayNotBlank(String[] strs, String message) throws BasicServiceException {
      if (Objects.nonNull(strs)) {
         Boolean allNotBlank = true;
         String[] var3 = strs;
         int var4 = strs.length;

         for(int var5 = 0; var5 < var4; ++var5) {
            String s = var3[var5];
            if (StringUtils.isBlank(s)) {
               allNotBlank = false;
            }
         }

         if (allNotBlank) {
            throw new BasicServiceException(message);
         }
      }

   }

   public static void isTrue(Boolean bl, String message) throws BasicServiceException {
      if (bl) {
         throw new BasicServiceException(message);
      }
   }

   public static void isFalse(Boolean bl, String message) throws BasicServiceException {
      if (!bl) {
         throw new BasicServiceException(message);
      }
   }

   public static void isEmpty(@Nullable Map<?, ?> map, String message) throws BasicServiceException {
      if (CollectionUtils.isEmpty(map)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isEmpty(@Nullable Collection<?> collection, String message) throws BasicServiceException {
      if (CollectionUtils.isEmpty(collection)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNotEmpty(@Nullable Map<?, ?> map, String message) throws BasicServiceException {
      if (!CollectionUtils.isEmpty(map)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNotEmpty(@Nullable Collection<?> collection, String message) throws BasicServiceException {
      if (!CollectionUtils.isEmpty(collection)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isIn(String str, Collection<String> collect, String message) throws BasicServiceException {
      if (collect.contains(str)) {
         throw new BasicServiceException(message);
      }
   }

   public static void isNotIn(String str, Collection<String> collect, String message) throws BasicServiceException {
      if (!collect.contains(str)) {
         throw new BasicServiceException(message);
      }
   }
}
